
#define KEYBOARD_IN_C

#define KEYBOARD 0x09

// Keyboard press/release codes for the INT 9h handler

#define RIGHT_ARROW_PRESSED  0x4D
#define RIGHT_ARROW_REL      0x4D+0x80   // 205
#define LEFT_ARROW_PRESSED   0x4B
#define LEFT_ARROW_REL       0x4B+0x80   // 203
#define ESC_PRESSED          0x01        // 129
#define UP_ARROW_PRESSED     0x48
#define UP_ARROW_REL         0x48+0x80   // 200
#define DOWN_ARROW_PRESSED   0x50
#define DOWN_ARROW_REL       0x50+0x80	 // 208
#define SPACE_PRESSED		 0x39
#define FIRE_PRESSED		  33
#define D_PRESSED			 0x20
#define RETURN_PRESSED		 0x1C

#define KEY_IS_DOWN		1
#define KEY_IS_UP		0
